Intended audience: all

# HDB++ - an archiving/historian service

Below, details on deployment and configuration of the HDB++ service are provided. For overview, see HDB++ of Tools and Extensions section.

- HDB++ Design and implementation
  - HDB++ Contributions
  - Historical Database
  - HDB++ TANGO Device Server
  - Configuration and diagnostic tools
  - Database interface
    - database structure
  - Deployment best practices
  - General remarks
  - Project references and source code
  - Event Subscriber full documentation
  - Configuration Manager full documentation
- Event Subscriber interface
  - Commands
  - Attributes
  - Class properties
  - Device properties
- Configuration Manager interface
  - Commands
  - Attributes
  - Class properties
  - Device properties
- Legacy HDB tables structure
- schema SQL source (TimescaleDb)
- schema SQL source (MySQL)
- schema CQL source (Cassandra)